Manifest-Version: 1.0
Bnd-LastModified: 1715179346792
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 79.0.3
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20240508
Export-Package: com.liferay.portal.bean;version="5.0.0";uses:="com.lif
 eray.portal.kernel.bean,javax.servlet.http,org.springframework.contex
 t",com.liferay.portal.dao.orm.hibernate;version="6.3.0";uses:="com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.dao.orm,org.hibernate,org.hibernat
 e.criterion,org.hibernate.dialect,org.hibernate.dialect.pagination,or
 g.hibernate.engine.spi,org.hibernate.property.access.internal,org.hib
 ernate.property.access.spi,org.hibernate.type,org.hibernate.usertype"
 ,com.liferay.portal.deploy.hot;version="8.0.0";uses:="com.liferay.por
 tal.kernel.deploy.hot,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.plugin,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.persistence,com.liferay.portal.kernel.url,com.lifera
 y.portal.kernel.util,com.liferay.portal.kernel.xml,javax.servlet,org.
 osgi.framework",com.liferay.portal.events;version="10.2.0";uses:="com
 .liferay.portal.kernel.deploy.hot,com.liferay.portal.kernel.events,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.security.auto
 .login,com.liferay.portal.kernel.upgrade,javax.servlet.http",com.life
 ray.portal.freemarker;version="1.0.2",com.liferay.portal.minifier;ver
 sion="2.0.0",com.liferay.portal.plugin;version="3.0.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.plugin,com.liferay.portal.kernel.xml,javax.servlet"
 ,com.liferay.portal.security.auth;version="5.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.portlet,com.liferay.portal.kernel.security.auth,com.life
 ray.portal.kernel.security.auth.verifier,com.liferay.portal.kernel.sp
 ring.osgi,javax.security.auth.callback,javax.servlet.http",com.lifera
 y.portal.security.lang;version="2.0.0",com.liferay.portal.service.htt
 p;version="11.0.0";uses:="com.liferay.announcements.kernel.model,com.
 liferay.petra.function,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.repository.model,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.security.auth,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.util,javax.portlet",com.liferay.portal.service.
 permission;version="3.2.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.a
 uth,com.liferay.portal.kernel.security.permission,com.liferay.portal.
 kernel.service.permission,com.liferay.portal.kernel.spring.osgi,javax
 .portlet",com.liferay.portal.service.persistence.constants;version="1
 .0.0",com.liferay.portal.servlet;version="11.1.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.servlet,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,javax.servlet,javax.servlet.http",com.liferay.portal.ser
 vlet.filters;version="1.0.0";uses:="com.liferay.portal.kernel.log,com
 .liferay.portal.kernel.servlet,javax.servlet.http",com.liferay.portal
 .servlet.filters.authverifier;version="1.0.2";uses:="com.liferay.port
 al.servlet.filters,javax.servlet,javax.servlet.http",com.liferay.port
 al.spring.configurator;version="1.0.0";uses:="org.springframework.con
 text",com.liferay.portal.template;version="11.0.0";uses:="com.liferay
 .portal.kernel.cache,com.liferay.portal.kernel.spring.osgi,com.lifera
 y.portal.kernel.template,javax.portlet,org.osgi.framework",com.lifera
 y.portal.tools;version="13.0.0";uses:="com.liferay.portal.kernel.dao.
 db,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.io.u
 nsync,com.liferay.portal.kernel.xml",com.liferay.portal.upgrade.util;
 version="6.1.0";uses:="com.liferay.portal.kernel.upgrade,com.liferay.
 portal.kernel.upgrade.util",com.liferay.portal.upgrade.v7_0_0;version
 ="7.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.
 kernel.settings,com.liferay.portal.kernel.upgrade,com.liferay.portal.
 kernel.util,javax.portlet",com.liferay.portal.upgrade.v7_0_5;version=
 "3.0.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.portal.
 upgrade.v7_1_x;version="5.0.0";uses:="com.liferay.portal.kernel.upgra
 de,com.liferay.portal.kernel.upgrade.util,com.liferay.portal.upgrade.
 util",com.liferay.portal.upload;version="5.0.0";uses:="com.liferay.po
 rtal.kernel.servlet,com.liferay.portal.kernel.upload,javax.portlet,ja
 vax.servlet,javax.servlet.http",com.liferay.portal.util;version="49.0
 .0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.lang,co
 m.liferay.petra.process,com.liferay.portal.kernel.configuration,com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.openid,com.liferay
 .portal.kernel.portlet,com.liferay.portal.kernel.repository,com.lifer
 ay.portal.kernel.repository.event,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.settings,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.upload,com.liferay.portal.kernel.u
 til,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet,javax.s
 ervlet.http,org.xml.sax",com.liferay.portal.xml;version="1.3.0";uses:
 ="com.liferay.portal.kernel.security.xml,com.liferay.portal.kernel.ut
 il,com.liferay.portal.kernel.xml,javax.xml.stream,org.dom4j,org.dom4j
 .io,org.dom4j.tree,org.xml.sax",com.liferay.portlet;version="9.0.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.secu
 rity.auth,com.liferay.portal.kernel.servlet,com.liferay.portal.kernel
 .theme,com.liferay.portal.kernel.transaction,com.liferay.portal.kerne
 l.util,javax.portlet,javax.portlet.filter,javax.servlet,javax.servlet
 .http,javax.xml.stream",com.liferay.portlet.asset;version="2.2.0",com
 .liferay.portlet.asset.model.impl;version="6.0.0";uses:="com.liferay.
 asset.kernel.model,com.liferay.expando.kernel.model,com.liferay.expor
 timport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.model.impl,com.liferay.portal.kernel.service,com.liferay.portle
 t.asset.util",com.liferay.portlet.asset.service.permission;version="3
 .0.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.spring.osgi",com.liferay.portlet.asset.util;version="5.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.security.permission",com.liferay.portlet.documentlibrary;version
 ="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.settings",com.liferay.portlet.documentlibrary.lar;version="2
 .0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.repository.model",com.liferay.portlet.documentlibrary.service.p
 ermission;version="3.0.0";uses:="com.liferay.document.library.kernel.
 model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.spring.osgi",com.liferay.portlet.documentlibrary.s
 tore;version="8.0.0";uses:="com.liferay.document.library.kernel.store
 ,com.liferay.portal.kernel.exception",com.liferay.portlet.documentlib
 rary.util;version="8.0.0";uses:="com.liferay.document.library.kernel.
 model,com.liferay.document.library.kernel.util,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.repository.model,com.liferay.portal.kernel.search,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.por
 tal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet",com.life
 ray.portlet.expando.model.impl;version="4.0.0";uses:="com.liferay.exp
 ando.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.model.impl,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.util",com.liferay.portlet.usersadmin.search;version="1.1.0";us
 es:="com.liferay.portal.kernel.dao.search,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 arch,javax.portlet"
Git-Descriptor: 7de1d393fe321-dirty
Git-SHA: 7de1d393fe321c061d3b58f42a293a1ee2ae1cd8
Import-Package: com.liferay.admin.kernel.util,com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .announcements.kernel.service,com.liferay.announcements.kernel.servic
 e.persistence,com.liferay.asset.kernel,com.liferay.asset.kernel.confi
 guration.provider,com.liferay.asset.kernel.exception,com.liferay.asse
 t.kernel.model,com.liferay.asset.kernel.model.adapter,com.liferay.ass
 et.kernel.search,com.liferay.asset.kernel.service,com.liferay.asset.k
 ernel.service.persistence,com.liferay.asset.kernel.util,com.liferay.a
 sset.kernel.validator,com.liferay.background.task.kernel.util.compara
 tor,com.liferay.counter.kernel.model,com.liferay.counter.kernel.servi
 ce,com.liferay.counter.kernel.service.persistence,com.liferay.documen
 t.library.kernel.antivirus,com.liferay.document.library.kernel.docume
 nt.conversion,com.liferay.document.library.kernel.exception,com.lifer
 ay.document.library.kernel.model,com.liferay.document.library.kernel.
 service,com.liferay.document.library.kernel.service.persistence,com.l
 iferay.document.library.kernel.store,com.liferay.document.library.ker
 nel.util,com.liferay.document.library.kernel.util.comparator,com.life
 ray.document.library.kernel.versioning,com.liferay.dynamic.data.mappi
 ng.kernel,com.liferay.expando.kernel.exception,com.liferay.expando.ke
 rnel.model,com.liferay.expando.kernel.model.adapter,com.liferay.expan
 do.kernel.service,com.liferay.expando.kernel.service.permission,com.l
 iferay.expando.kernel.service.persistence,com.liferay.expando.kernel.
 util,com.liferay.exportimport.kernel.configuration,com.liferay.export
 import.kernel.controller,com.liferay.exportimport.kernel.exception,co
 m.liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.lif
 ecycle,com.liferay.exportimport.kernel.model,com.liferay.exportimport
 .kernel.service,com.liferay.exportimport.kernel.service.persistence,c
 om.liferay.exportimport.kernel.staging,com.liferay.exportimport.kerne
 l.staging.permission,com.liferay.layout.admin.kernel.model,com.lifera
 y.layout.admin.kernel.visibility,com.liferay.layout.utility.page.kern
 el,com.liferay.layout.utility.page.kernel.request.contributor,com.lif
 eray.mail.kernel.auth.token.provider,com.liferay.mail.kernel.model,co
 m.liferay.mail.kernel.service,com.liferay.mail.kernel.template,com.li
 feray.osgi.service.tracker.collections,com.liferay.osgi.service.track
 er.collections.list,com.liferay.osgi.service.tracker.collections.map,
 com.liferay.petra.concurrent,com.liferay.petra.executor,com.liferay.p
 etra.function,com.liferay.petra.function.transform,com.liferay.petra.
 io,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.liferay.pet
 ra.memory,com.liferay.petra.nio,com.liferay.petra.process,com.liferay
 .petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.as
 t,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.expression
 ,com.liferay.petra.sql.dsl.expression.step,com.liferay.petra.sql.dsl.
 query,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.
 spi.ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.st
 ring,com.liferay.petra.url.pattern.mapper,com.liferay.portal.bean;ver
 sion="[5.0,6)",com.liferay.portal.freemarker;version="[1.0,2)",com.li
 feray.portal.kernel.annotation,com.liferay.portal.kernel.aop,com.life
 ray.portal.kernel.application.type,com.liferay.portal.kernel.audit,co
 m.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.bean
 ,com.liferay.portal.kernel.cache,com.liferay.portal.kernel.cache.inde
 x,com.liferay.portal.kernel.cache.key,com.liferay.portal.kernel.cache
 .thread.local,com.liferay.portal.kernel.change.tracking,com.liferay.p
 ortal.kernel.cluster,com.liferay.portal.kernel.comment,com.liferay.po
 rtal.kernel.concurrent,com.liferay.portal.kernel.configuration,com.li
 feray.portal.kernel.cookies,com.liferay.portal.kernel.dao.db,com.life
 ray.portal.kernel.dao.jdbc,com.liferay.portal.kernel.dao.jdbc.pool.me
 trics,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.dao
 .search,com.liferay.portal.kernel.dependency.manager,com.liferay.port
 al.kernel.deploy.auto,com.liferay.portal.kernel.deploy.auto.context,c
 om.liferay.portal.kernel.deploy.hot,com.liferay.portal.kernel.editor.
 configuration,com.liferay.portal.kernel.encryptor,com.liferay.portal.
 kernel.events,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.facebook,com.liferay.portal.kernel.feature.flag,com.liferay.po
 rtal.kernel.format,com.liferay.portal.kernel.frontend.source.map,com.
 liferay.portal.kernel.image,com.liferay.portal.kernel.increment,com.l
 iferay.portal.kernel.instance.lifecycle,com.liferay.portal.kernel.int
 ernal.service.permission,com.liferay.portal.kernel.interval,com.lifer
 ay.portal.kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.p
 ortal.kernel.jndi,com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.jsonwebservice,com.liferay.portal.kernel.language,com.liferay.p
 ortal.kernel.layoutconfiguration.util,com.liferay.portal.kernel.licen
 se,com.liferay.portal.kernel.license.messaging,com.liferay.portal.ker
 nel.license.util,com.liferay.portal.kernel.lock,com.liferay.portal.ke
 rnel.log,com.liferay.portal.kernel.login,com.liferay.portal.kernel.me
 ssaging,com.liferay.portal.kernel.messaging.async,com.liferay.portal.
 kernel.metadata,com.liferay.portal.kernel.mobile.device,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.model.adapter,com.lifera
 y.portal.kernel.model.adapter.builder,com.liferay.portal.kernel.model
 .change.tracking,com.liferay.portal.kernel.model.dao,com.liferay.port
 al.kernel.model.impl,com.liferay.portal.kernel.model.portlet,com.life
 ray.portal.kernel.model.role,com.liferay.portal.kernel.module.framewo
 rk,com.liferay.portal.kernel.module.framework.service,com.liferay.por
 tal.kernel.module.util,com.liferay.portal.kernel.notifications,com.li
 feray.portal.kernel.openid,com.liferay.portal.kernel.patcher,com.life
 ray.portal.kernel.plugin,com.liferay.portal.kernel.pop,com.liferay.po
 rtal.kernel.portlet,com.liferay.portal.kernel.portlet.async,com.lifer
 ay.portal.kernel.portlet.bridges.mvc,com.liferay.portal.kernel.portle
 t.configuration.icon,com.liferay.portal.kernel.portlet.render,com.lif
 eray.portal.kernel.portlet.toolbar,com.liferay.portal.kernel.portlet.
 url.builder,com.liferay.portal.kernel.portletfilerepository,com.lifer
 ay.portal.kernel.redirect,com.liferay.portal.kernel.repository,com.li
 feray.portal.kernel.repository.capabilities,com.liferay.portal.kernel
 .repository.event,com.liferay.portal.kernel.repository.friendly.url.r
 esolver,com.liferay.portal.kernel.repository.model,com.liferay.portal
 .kernel.repository.proxy,com.liferay.portal.kernel.repository.registr
 y,com.liferay.portal.kernel.repository.util,com.liferay.portal.kernel
 .resource.bundle,com.liferay.portal.kernel.sanitizer,com.liferay.port
 al.kernel.scheduler,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.search.facet.faceted.searcher,com.liferay.portal.kernel.sea
 rch.reindexer,com.liferay.portal.kernel.security,com.liferay.portal.k
 ernel.security.access.control,com.liferay.portal.kernel.security.auth
 ,com.liferay.portal.kernel.security.auth.http,com.liferay.portal.kern
 el.security.auth.session,com.liferay.portal.kernel.security.auth.tunn
 el,com.liferay.portal.kernel.security.auth.verifier,com.liferay.porta
 l.kernel.security.auto.login,com.liferay.portal.kernel.security.expor
 timport,com.liferay.portal.kernel.security.ldap,com.liferay.portal.ke
 rnel.security.membershippolicy,com.liferay.portal.kernel.security.per
 mission,com.liferay.portal.kernel.security.permission.comparator,com.
 liferay.portal.kernel.security.permission.contributor,com.liferay.por
 tal.kernel.security.permission.propagator,com.liferay.portal.kernel.s
 ecurity.permission.resource,com.liferay.portal.kernel.security.permis
 sion.wrapper,com.liferay.portal.kernel.security.pwd,com.liferay.porta
 l.kernel.security.service.access.policy,com.liferay.portal.kernel.sec
 urity.sso,com.liferay.portal.kernel.security.xml,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.service.configuration,com.lif
 eray.portal.kernel.service.configuration.servlet,com.liferay.portal.k
 ernel.service.http,com.liferay.portal.kernel.service.permission,com.l
 iferay.portal.kernel.service.persistence,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.service.p
 ersistence.change.tracking.helper,com.liferay.portal.kernel.service.p
 ersistence.impl,com.liferay.portal.kernel.servlet,com.liferay.portal.
 kernel.servlet.filters.compoundsessionid,com.liferay.portal.kernel.se
 rvlet.filters.invoker,com.liferay.portal.kernel.servlet.taglib,com.li
 feray.portal.kernel.servlet.taglib.aui,com.liferay.portal.kernel.serv
 let.taglib.ui,com.liferay.portal.kernel.servlet.taglib.util,com.lifer
 ay.portal.kernel.settings,com.liferay.portal.kernel.social,com.lifera
 y.portal.kernel.spring.aop,com.liferay.portal.kernel.spring.orm,com.l
 iferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.struts,com
 .liferay.portal.kernel.systemevent,com.liferay.portal.kernel.template
 ,com.liferay.portal.kernel.templateparser,com.liferay.portal.kernel.t
 heme,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.
 trash,com.liferay.portal.kernel.trash.helper,com.liferay.portal.kerne
 l.tree,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.up
 grade.util,com.liferay.portal.kernel.upload,com.liferay.portal.kernel
 .upload.configuration,com.liferay.portal.kernel.url,com.liferay.porta
 l.kernel.url.validator,com.liferay.portal.kernel.util,com.liferay.por
 tal.kernel.util.comparator,com.liferay.portal.kernel.uuid,com.liferay
 .portal.kernel.verify.model,com.liferay.portal.kernel.version,com.lif
 eray.portal.kernel.view.count,com.liferay.portal.kernel.webcache,com.
 liferay.portal.kernel.webdav,com.liferay.portal.kernel.webdav.methods
 ,com.liferay.portal.kernel.webserver,com.liferay.portal.kernel.words,
 com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.workflow
 .permission,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.x
 ml.simple,com.liferay.portal.kernel.xmlrpc,com.liferay.portal.kernel.
 zip,com.liferay.portal.log4j,com.liferay.portal.plugin;version="[3.0,
 4)",com.liferay.portal.service.http;version="[11.0,12)",com.liferay.p
 ortal.service.permission;version="[3.2,4)",com.liferay.portal.service
 .persistence.constants;version="[1.0,2)",com.liferay.portal.servlet.f
 ilters;version="[1.0,2)",com.liferay.portal.spring.configurator;versi
 on="[1.0,2)",com.liferay.portal.upgrade.v7_0_5;version="[3.0,4)",com.
 liferay.portal.upgrade.v7_1_x;version="[5.0,6)",com.liferay.portal.up
 load;version="[5.0,6)",com.liferay.portlet.asset.model.impl;version="
 [6.0,7)",com.liferay.portlet.asset.service.permission;version="[3.0,4
 )",com.liferay.portlet.asset.util;version="[5.0,6)",com.liferay.portl
 et.configuration.kernel.util,com.liferay.portlet.documentlibrary;vers
 ion="[2.0,3)",com.liferay.portlet.expando.model.impl;version="[4.0,5)
 ",com.liferay.portlet.usersadmin.search;version="[1.1,2)",com.liferay
 .ratings.kernel.exception,com.liferay.ratings.kernel.model,com.lifera
 y.ratings.kernel.service,com.liferay.ratings.kernel.service.persisten
 ce,com.liferay.ratings.kernel.transformer,com.liferay.roles.admin.ker
 nel.util,com.liferay.sites.kernel.util,com.liferay.social.kernel.exce
 ption,com.liferay.social.kernel.model,com.liferay.social.kernel.model
 .impl,com.liferay.social.kernel.service,com.liferay.social.kernel.ser
 vice.permission,com.liferay.social.kernel.service.persistence,com.lif
 eray.social.kernel.util,com.liferay.social.kernel.util.comparator,com
 .liferay.users.admin.kernel.file.uploads,com.liferay.users.admin.kern
 el.organization.types,com.liferay.users.admin.kernel.util,com.liferay
 .util,com.liferay.util.dao.orm,com.liferay.util.portlet,com.liferay.u
 til.servlet,com.liferay.util.servlet.filters,com.liferay.util.xml,com
 .liferay.util.xml.descriptor,com.thoughtworks.qdox,com.thoughtworks.q
 dox.model,com.zaxxer.hikari,de.hunsicker.io,de.hunsicker.jalopy,de.hu
 nsicker.jalopy.storage,freemarker.cache,freemarker.template,javax.act
 ivation,javax.crypto,javax.crypto.spec,javax.imageio,javax.imageio.st
 ream,javax.mail,javax.mail.internet,javax.management,javax.naming,jav
 ax.net.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.filt
 er,javax.security.auth.callback,javax.servlet,javax.servlet.http,java
 x.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xm
 l.stream.events,javax.xml.transform,javax.xml.transform.dom,javax.xml
 .transform.stream,jodd.bean,jodd.introspector,jodd.json,jodd.json.imp
 l,jodd.json.meta,jodd.typeconverter,jodd.typeconverter.impl,jodd.util
 ,org.apache.commons.configuration,org.apache.commons.lang.builder,org
 .apache.commons.lang.time,org.apache.commons.logging,org.apache.loggi
 ng.log4j,org.apache.logging.log4j.core,org.apache.xerces.parsers,org.
 apache.xerces.xni,org.dom4j,org.dom4j.io,org.dom4j.tree,org.hibernate
 ,org.hibernate.boot,org.hibernate.boot.jaxb,org.hibernate.boot.jaxb.i
 nternal,org.hibernate.boot.jaxb.spi,org.hibernate.boot.registry,org.h
 ibernate.boot.spi,org.hibernate.cfg,org.hibernate.context.spi,org.hib
 ernate.criterion,org.hibernate.dialect,org.hibernate.dialect.function
 ,org.hibernate.dialect.pagination,org.hibernate.engine.jdbc.dialect.i
 nternal,org.hibernate.engine.jdbc.dialect.spi,org.hibernate.engine.jd
 bc.spi,org.hibernate.engine.spi,org.hibernate.event.internal,org.hibe
 rnate.event.service.spi,org.hibernate.event.spi,org.hibernate.excepti
 on,org.hibernate.id,org.hibernate.integrator.spi,org.hibernate.intern
 al,org.hibernate.internal.util,org.hibernate.jdbc,org.hibernate.mappi
 ng,org.hibernate.metamodel.spi,org.hibernate.persister.entity,org.hib
 ernate.property.access.internal,org.hibernate.property.access.spi,org
 .hibernate.query,org.hibernate.resource.jdbc.spi,org.hibernate.servic
 e,org.hibernate.service.spi,org.hibernate.stat,org.hibernate.stat.spi
 ,org.hibernate.type,org.hibernate.type.spi,org.hibernate.usertype,org
 .jabsorb,org.jabsorb.serializer,org.jaxen,org.jaxen.function,org.json
 ,org.osgi.framework,org.osgi.framework.launch,org.osgi.framework.wiri
 ng,org.osgi.util.tracker,org.postgresql,org.postgresql.largeobject,or
 g.springframework.aop,org.springframework.aop.framework,org.springfra
 mework.aop.support,org.springframework.beans,org.springframework.bean
 s.factory,org.springframework.beans.factory.config,org.springframewor
 k.beans.factory.support,org.springframework.beans.factory.xml,org.spr
 ingframework.context,org.springframework.context.support,org.springfr
 amework.core,org.springframework.core.io,org.springframework.core.io.
 support,org.springframework.jdbc.datasource,org.springframework.orm.h
 ibernate5,org.springframework.transaction,org.springframework.transac
 tion.interceptor,org.springframework.transaction.support,org.springfr
 amework.util,org.springframework.web.context,org.springframework.web.
 context.support,org.w3c.dom,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Jun 16 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Wed May 8 07:42:24 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Fixed-Issues: LPD-15152
Liferay-Portal-Installed-Patches: hotfix-5455-7413
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 81 (Cavanaugh / Build 7413 / June 16, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 81
Liferay-Service: true
Private-Package: com.liferay.portal.events.dependencies,com.liferay.po
 rtal.deploy.dependencies,com.liferay.portal.tools.dependencies,com.li
 feray.portlet.blogs.dependencies,com.liferay.portlet.admin.dependenci
 es,com.liferay.portal.tools.sql.dependencies,com.liferay.portlet.port
 letdisplaytemplate.dependencies,com.liferay.portlet.announcements.dep
 endencies,com.liferay.portal.tools.propertiesdoc.dependencies,com.lif
 eray.portlet.messageboards.dependencies,com.liferay.portlet.documentl
 ibrary.dependencies,com.liferay.portal.servlet.filters.dynamiccss.dep
 endencies,com.liferay.portlet.sites.dependencies,com.liferay.portal.w
 ebserver.dependencies,com.liferay.portal.dependencies,com.liferay.cou
 nter.model,com.liferay.counter.model.impl,com.liferay.counter,com.lif
 eray.counter.service.base,com.liferay.counter.service.impl,com.lifera
 y.counter.service.persistence,com.liferay.counter.service.persistence
 .impl,com.liferay.mail.internal,com.liferay.mail.messaging,com.lifera
 y.mail.service.impl,com.liferay.portal.action,com.liferay.portal.cach
 e.key,com.liferay.portal.cache.thread.local,com.liferay.portal.ccpp,c
 om.liferay.portal.change.tracking.registry,com.liferay.portal.change.
 tracking.sql,com.liferay.portal.change.tracking.store,com.liferay.por
 tal.configuration,com.liferay.portal.convert,com.liferay.portal.conve
 rt.documentlibrary,com.liferay.portal.convert.messaging,com.liferay.p
 ortal.dao.db,com.liferay.portal.dao.init,com.liferay.portal.dao.jdbc,
 com.liferay.portal.dao.jdbc.pool.metrics,com.liferay.portal.dao.jdbc.
 postgresql,com.liferay.portal.dao.jdbc.spring,com.liferay.portal.dao.
 jdbc.util,com.liferay.portal.dao.orm.common,com.liferay.portal.dao.or
 m.hibernate.event,com.liferay.portal.dao.orm.hibernate.jmx,com.lifera
 y.portal.dao.sql.transformer,com.liferay.portal.db,com.liferay.portal
 .db.index,com.liferay.portal.db.partition,com.liferay.portal.definiti
 ons,com.liferay.portal.deploy,com.liferay.portal.deploy.auto,com.life
 ray.portal.deploy.dependencies.images.liferay-ui,com.liferay.portal.e
 ditor.configuration,com.liferay.portal.ee.license,com.liferay.portal.
 ee.license.a,com.liferay.portal.facebook,com.liferay.portal.format,co
 m.liferay.portal.image,com.liferay.portal.increment,com.liferay.porta
 l.internal.change.tracking.hibernate,com.liferay.portal.internal.clus
 ter,com.liferay.portal.internal.dao.sql.transformer,com.liferay.porta
 l.internal.errors,com.liferay.portal.internal.increment,com.liferay.p
 ortal.internal.messaging.async,com.liferay.portal.internal.minifier,c
 om.liferay.portal.internal.security.permission.contributor,com.lifera
 y.portal.internal.service.util,com.liferay.portal.internal.servlet,co
 m.liferay.portal.json,com.liferay.portal.json.data,com.liferay.portal
 .json.jabsorb.serializer,com.liferay.portal.json.transformer,com.life
 ray.portal.jsonwebservice,com.liferay.portal.language,com.liferay.por
 tal.layoutconfiguration.util,com.liferay.portal.layoutconfiguration.u
 til.velocity,com.liferay.portal.license,com.liferay.portal.license.a,
 com.liferay.portal.license.classloader,com.liferay.portal.license.uti
 l,com.liferay.portal.linkback,com.liferay.portal.liveusers,com.lifera
 y.portal.liveusers.messaging,com.liferay.portal.log,com.liferay.porta
 l.messaging.proxy,com.liferay.portal.model,com.liferay.portal.model.a
 dapter.builder,com.liferay.portal.model.adapter.impl,com.liferay.port
 al.model.impl,com.liferay.portal.module.framework,com.liferay.portal.
 module.util,com.liferay.portal.notifications,com.liferay.portal.patch
 er,com.liferay.portal.repository,com.liferay.portal.repository.capabi
 lities,com.liferay.portal.repository.capabilities.util,com.liferay.po
 rtal.repository.external,com.liferay.portal.repository.liferayreposit
 ory,com.liferay.portal.repository.liferayrepository.model,com.liferay
 .portal.repository.liferayrepository.social,com.liferay.portal.reposi
 tory.portletrepository,com.liferay.portal.repository.registry,com.lif
 eray.portal.repository.temporaryrepository,com.liferay.portal.reposit
 ory.util,com.liferay.portal.search,com.liferay.portal.search.dependen
 cies.spellchecker,com.liferay.portal.security,com.liferay.portal.secu
 rity.access.control,com.liferay.portal.security.auth.http,com.liferay
 .portal.security.auth.registry,com.liferay.portal.security.auth.sessi
 on,com.liferay.portal.security.auth.tunnel,com.liferay.portal.securit
 y.jaas,com.liferay.portal.security.membershippolicy,com.liferay.porta
 l.security.permission,com.liferay.portal.security.pwd,com.liferay.por
 tal.security.sso,com.liferay.portal.security.xml,com.liferay.portal,c
 om.liferay.portal.service,com.liferay.portal.service.base,com.liferay
 .portal.service.impl,com.liferay.portal.service.persistence.impl,com.
 liferay.portal.servlet.delegate,com.liferay.portal.servlet.filters.ab
 soluteredirects,com.liferay.portal.servlet.filters.aggregate,com.life
 ray.portal.servlet.filters.autologin,com.liferay.portal.servlet.filte
 rs.cache,com.liferay.portal.servlet.filters.dynamiccss,com.liferay.po
 rtal.servlet.filters.etag,com.liferay.portal.servlet.filters.fragment
 ,com.liferay.portal.servlet.filters.gzip,com.liferay.portal.servlet.f
 ilters.header,com.liferay.portal.servlet.filters.ignore,com.liferay.p
 ortal.servlet.filters.language,com.liferay.portal.servlet.filters.loc
 kout,com.liferay.portal.servlet.filters.password.modified,com.liferay
 .portal.servlet.filters.secure,com.liferay.portal.servlet.filters.ser
 vletauthorizing,com.liferay.portal.servlet.filters.servletcontextincl
 ude,com.liferay.portal.servlet.filters.sessionid,com.liferay.portal.s
 ervlet.filters.sessionmaxallowed,com.liferay.portal.servlet.filters.s
 trip,com.liferay.portal.servlet.filters.themepreview,com.liferay.port
 al.servlet.filters.threaddump,com.liferay.portal.servlet.filters.thre
 adlocal,com.liferay.portal.servlet.filters.unsyncprintwriterpool,com.
 liferay.portal.servlet.filters.util,com.liferay.portal.servlet.filter
 s.validhostname,com.liferay.portal.servlet.filters.virtualhost,com.li
 feray.portal.servlet.filters.weblogic,com.liferay.portal.servlet.filt
 ers.websphere,com.liferay.portal.servlet.taglib.ui,com.liferay.portal
 .setup,com.liferay.portal.sharepoint,com.liferay.portal.sharepoint.dw
 s,com.liferay.portal.sharepoint.methods,com.liferay.portal.spring.aop
 ,com.liferay.portal.spring.bean,com.liferay.portal.spring.context,com
 .liferay.portal.spring.hibernate,com.liferay.portal.spring.override,c
 om.liferay.portal.spring.transaction,com.liferay.portal.spring.util,c
 om.liferay.portal.struts,com.liferay.portal.struts.constants,com.life
 ray.portal.struts.model,com.liferay.portal.systemevent,com.liferay.po
 rtal.templateparser,com.liferay.portal.theme,com.liferay.portal.tools
 .comparator,com.liferay.portal.tools.deploy,com.liferay.portal.tools.
 jspc.common,com.liferay.portal.tools.propertiesdoc,com.liferay.portal
 .tools.sql,com.liferay.portal.transaction,com.liferay.portal.typeconv
 erter,com.liferay.portal.upgrade,com.liferay.portal.upgrade.log,com.l
 iferay.portal.upgrade.v6_1_1,com.liferay.portal.upgrade.v6_2_0,com.li
 feray.portal.upgrade.v6_2_0.util,com.liferay.portal.upgrade.v7_0_0.ut
 il,com.liferay.portal.upgrade.v7_0_1,com.liferay.portal.upgrade.v7_0_
 3,com.liferay.portal.upgrade.v7_0_6,com.liferay.portal.upgrade.v7_2_x
 ,com.liferay.portal.upgrade.v7_2_x.util,com.liferay.portal.upgrade.v7
 _3_x,com.liferay.portal.upgrade.v7_4_x,com.liferay.portal.uuid,com.li
 feray.portal.verify,com.liferay.portal.verify.model,com.liferay.porta
 l.webcache,com.liferay.portal.webdav,com.liferay.portal.webdav.method
 s,com.liferay.portal.webserver,com.liferay.portal.workflow,com.lifera
 y.portal.workflow.permission,com.liferay.portal.xml.xpath,com.liferay
 .portal.xmlrpc,com.liferay.portal.zip,com.liferay.portlet.admin.util,
 com.liferay.portlet.announcements.model,com.liferay.portlet.announcem
 ents.model.impl,com.liferay.portlet.announcements,com.liferay.portlet
 .announcements.service.base,com.liferay.portlet.announcements.service
 .http,com.liferay.portlet.announcements.service.impl,com.liferay.port
 let.announcements.service.permission,com.liferay.portlet.announcement
 s.service.persistence.impl,com.liferay.portlet.asset.model.adapter.im
 pl,com.liferay.portlet.asset.service.base,com.liferay.portlet.asset.s
 ervice.http,com.liferay.portlet.asset.service.impl,com.liferay.portle
 t.asset.service.persistence.impl,com.liferay.portlet.asset.util.compa
 rator,com.liferay.portlet.documentlibrary.constants,com.liferay.portl
 et.documentlibrary.messaging,com.liferay.portlet.documentlibrary.mode
 l.impl,com.liferay.portlet.documentlibrary.service.base,com.liferay.p
 ortlet.documentlibrary.service.http,com.liferay.portlet.documentlibra
 ry.service.impl,com.liferay.portlet.documentlibrary.service.persisten
 ce.impl,com.liferay.portlet.documentlibrary.sharepoint,com.liferay.po
 rtlet.documentlibrary.social,com.liferay.portlet.documentlibrary.util
 .comparator,com.liferay.portlet.documentlibrary.webdav,com.liferay.po
 rtlet.expando,com.liferay.portlet.expando.service.base,com.liferay.po
 rtlet.expando.service.http,com.liferay.portlet.expando.service.impl,c
 om.liferay.portlet.expando.service.permission,com.liferay.portlet.exp
 ando.service.persistence.impl,com.liferay.portlet.expando.util.compar
 ator,com.liferay.portlet.exportimport.model.impl,com.liferay.portlet.
 exportimport,com.liferay.portlet.exportimport.service.base,com.lifera
 y.portlet.exportimport.service.http,com.liferay.portlet.exportimport.
 service.impl,com.liferay.portlet.exportimport.service.persistence.imp
 l,com.liferay.portlet.exportimport.staging,com.liferay.portlet.extra.
 config,com.liferay.portlet.internal,com.liferay.portlet.portletconfig
 uration,com.liferay.portlet.portletconfiguration.util,com.liferay.por
 tlet.ratings.model.impl,com.liferay.portlet.ratings,com.liferay.portl
 et.ratings.service.base,com.liferay.portlet.ratings.service.http,com.
 liferay.portlet.ratings.service.impl,com.liferay.portlet.ratings.serv
 ice.persistence.impl,com.liferay.portlet.rolesadmin.search,com.lifera
 y.portlet.rolesadmin.util,com.liferay.portlet.sites.util,com.liferay.
 portlet.social.model.impl,com.liferay.portlet.social,com.liferay.port
 let.social.service.base,com.liferay.portlet.social.service.http,com.l
 iferay.portlet.social.service.impl,com.liferay.portlet.social.service
 .permission,com.liferay.portlet.social.service.persistence.impl,com.l
 iferay.portlet.social.util,com.liferay.portlet.usergroupsadmin.search
 ,com.liferay.portlet.usersadmin.util,custom-sql,resource-actions
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: May 8 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 0742
